Bug 839183 (CVE-2012-2814)

Summary: CVE-2012-2814 libexif: "exif_entry_format_value()" buffer overflow
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrusnack, rhughes, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120712,reported=20120709,source=researcher,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/libexif=affected,rhel-6/libexif=affected,fedora-all/libexif=affected
Fixed In Version: libexif 0.6.21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-08 14:29:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 839913, 839914, 839915, 839916, 839917    
Bug Blocks: 839036    

Description Stefan Cornelius 2012-07-11 03:32:08 EDT
A buffer overflow in the exif_entry_format_value function in libexif/exif-entry.c in libexif 0.6.20 allows remote attackers to cause a denial of service or possibly execute arbitrary code via an image with crafted EXIF tags.
Comment 3 Stefan Cornelius 2012-07-13 04:13:02 EDT
Created libexif tracking bugs for this issue

Affects: fedora-all [bug 839917]
Comment 4 Stefan Cornelius 2012-08-10 04:52:38 EDT
Upstream advisory:
http://sourceforge.net/mailarchive/message.php?msg_id=29534027
Comment 5 Murray McAllister 2012-08-22 02:47:11 EDT
Acknowledgements:

Red Hat would like to thank Dan Fandrich for reporting this issue. Upstream acknowledges Mateusz Jurczyk of the Google Security Team as the original reporter.
Comment 6 errata-xmlrpc 2012-09-11 14:16:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1255 https://rhn.redhat.com/errata/RHSA-2012-1255.html
Comment 7 Fedora Update System 2013-02-07 21:13:54 EST
libexif-0.6.21-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-02-07 21:34:14 EST
libexif-0.6.21-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.